Karia
ReferencesOpenapiOrigination

Create deal comment

POST
/organisation/{orgId}/workspace/{workspaceId}/origination/deal/{dealId}/comment

Create a comment on an origination deal in the specified organisation and workspace. The comment is attributed to the API key creator.

Authorization

ApiKeyAuth
x-api-key<token>

API key for authentication

In: header

Path Parameters

orgId*string
workspaceId*string
dealId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/organisation/string/workspace/string/origination/deal/string/comment" \  -H "Content-Type: application/json" \  -d '{    "comment": "string"  }'
{  "comment": {    "id": "string",    "organisationId": 0,    "workspaceId": 0,    "dealId": 0,    "comment": "string",    "createdAt": "string",    "createdBy": "string",    "lastUpdatedAt": "string",    "lastUpdatedBy": "string",    "deletedAt": "string"  }}